Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.validate
Class PlatformVerifier

    java.lang.Object
      com.saxonica.validate.PlatformVerifier

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  DotNetVerifier, JavaVerifier

public abstract class PlatformVerifier
extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`protected java.util.Properties` | `features`

Constructor Summary
`PlatformVerifier()`

Method Summary
`protected int` | `daysLeft()` It returns how many days are left for the license.
`void` | `displayLicenseMessage()` Display a message about the license status
`java.lang.String` | `getFeature(java.lang.String name)` This method is called to get the feature of the license.
`abstract void` | `loadLicense()`
`abstract void` | `supplyLicenseKey(java.io.BufferedReader reader)` This method allows the contents of a license key to be supplied programmatically.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### features

    protected java.util.Properties features

Constructor Detail

### PlatformVerifier

    public PlatformVerifier()

Method Detail

### loadLicense

    public abstract void loadLicense()

### supplyLicenseKey

    public abstract void supplyLicenseKey(java.io.BufferedReader reader)

  This method allows the contents of a license key to be supplied programmatically. This must be a license file as issued to authorized OEM distributors of Saxon-SA.

  Parameters:
    `reader` - A reader that will be used to read the contents of the license file (for example, a StringReader)
  Throws:
    `java.lang.IllegalArgumentException` - if the key supplied is not a valid OEM license key

### daysLeft

    protected int daysLeft()

  It returns how many days are left for the license. 0 is valid, it may indicate a never expire license.

  Returns:
    how many days are left for the license.

### getFeature

    public java.lang.String getFeature(java.lang.String name)

  This method is called to get the feature of the license.

  Returns:
    the feature value of the license.

### displayLicenseMessage

    public void displayLicenseMessage()

  Display a message about the license status

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD